@if (componentData$ | async; as componentData) {
  <div class="full-width full-height flex-column" sqtmCoreAnchorResize>
    <div class="flex-row full-width">
      <div class="flex-grow">
        <div
          class="view-title"
          [attr.data-test-field-id]="'sprint-req-versions-grid-title'"
        >
          {{
            'sqtm-core.sprint.req-version.' +
              (componentData.sprint.synchronisationKind !== null
                ? 'title-for-synchronized-sprints'
                : 'title') | translate
          }}
        </div>
      </div>

      <div class="flex-fixed-size font-20-px m-auto panel-button">
        @if (
          $isSprintManual() &&
          !$isSprintClosed() &&
          componentData.permissions.canLink
        ) {
          <div class="panel-buttons">
            <i
              nz-icon
              nzType="sqtm-core-generic:add"
              nzTheme="outline"
              nz-tooltip
              [nzTooltipTitle]="
                'sqtm-core.test-case-workspace.coverages.add' | translate
              "
              nzTooltipPlacement="topRight"
              class="current-workspace-button action-icon-size"
              [attr.data-test-button-id]="'show-requirement-picker'"
              (click)="toggleRequirementPickerDrawer($event)"
            >
            </i>

            <i
              [attr.data-test-icon-id]="'search-coverages'"
              nz-icon
              nzType="sqtm-core-tree:search"
              nzTheme="outline"
              class="current-workspace-button action-icon-size remove-chrome-router-link-border"
              nz-tooltip
              [nzTooltipTitle]="
                'sqtm-core.test-case-workspace.coverages.search'
                  | translate
                  | capitalize
              "
              nzTooltipPlacement="topRight"
              [routerLink]="[
                '/search/requirement/sprint/',
                componentData.sprint.id
              ]"
            >
            </i>

            <sqtm-core-toggle-icon
              [active]="sprintReqVerTable.hasSelectedRows$ | async"
              (clickedInActiveMode)="deleteSprintReqVersions()"
            >
              <i
                [attr.data-test-icon-id]="'remove-sprint-req-versions'"
                class="action-icon-size"
                nz-icon
                nzType="sqtm-core-generic:delete"
                nzTheme="outline"
                nz-tooltip
                [nzTooltipTitle]="
                  'sqtm-core.campaign-workspace.dialog.title.remove-sprint-req-version'
                    | translate
                "
                nzTooltipPlacement="topRight"
              >
              </i>
            </sqtm-core-toggle-icon>
          </div>
        }
      </div>
    </div>

    <div
      #content
      class="flex-column full-height overflow-y-auto sqtm-large-grid-container"
      [sqtmCoreDraggableDropZone]="dropZoneId"
      (drop)="dropIntoSprint($event)"
      [attr.data-test-element-id]="dropZoneId"
      (dragEnter)="dragEnter($event)"
      (dragLeave)="dragLeave($event)"
      (dragCancel)="dragCancel()"
    >
      <sqtm-app-sprint-req-versions-linked class="flex flex-grow">
      </sqtm-app-sprint-req-versions-linked>
    </div>

    <div id="sqtm-core-ghost-div" sqtmCoreAnchorGhostDiv></div>
  </div>
}
